//*PMRawBegin
#include "colors.inc"
#include "textures.inc"
#include "skies.inc"

background {MediumBlue}
//*PMRawEnd

global_settings {
   adc_bailout 0.0039216
   assumed_gamma 1.5
   max_trace_level 256
   noise_generator 2
}

intersection {
   //*PMName background
   
   plane {
      <0.019366, 1.3104, 0>, 0
      scale 1
      rotate <0, 0, 0>
      translate y*(-10000)
      inverse
   }
   
   plane {
      <0, 1, 0>, 0
      
      texture {
         uv_mapping
         //*PMRawBegin
         Chrome_Metal
         P_Cloud3 scale 10
         //*PMRawEnd
         
         finish {
            crand 0.025
         }
      }
      scale 1
      rotate <90, -33.3, 0>
      translate z*33
      inverse
   }
   
   plane {
      <0.019365, 1.3104, 0>, 0
      
      texture {
         uv_mapping
         //*PMRawBegin
         Chrome_Metal
         P_Cloud3 scale 10
         //*PMRawEnd
         
         finish {
            crand 0.027
         }
      }
      scale 1
      rotate <90, 33.3, 0>
      translate z*33
      inverse
   }
   
   light_source {
      <200, 140, 150>, rgb <1, 1, 1>
   }
   
   light_source {
      <-200, 140, 150>, rgb <1, 1, 1>
   }
   
   light_source {
      <0, 0, 0>, rgb <1, 1, 1>
   }
}

union {
   plane {
      <0.019365, 1.3104, 0>, 0
      
      pigment {
         color rgbt <0, 0, 0, 1>
      }
      
      finish {
         //*PMRawBegin
         Phong_Glossy
         //*PMRawEnd
      }
      scale 1
      rotate <90, -1, 0>
      translate z*30
      hollow
      inverse
   }
   
   light_source {
      <0, 8, -1000>, rgb <1, 1, 1>
      area_light <1, 0, 0>, <0, 1, 0>, 3, 3
   }
}

union {
   //*PMName pentacle
   
   difference {
      cylinder {
         <0, 0, 0>, <0, -0.0001, 0>, 4
         scale 1
         rotate x*(-90)
         translate y*(-1.026)
      }
      
      cylinder {
         <0, 0.0001, 0>, <0, -0.0002, 0>, 3.7
         scale 1
         rotate x*(-90)
         translate y*(-1.026)
      }
   }
   
   union {
      //*PMName Pentagram
      
      box {
         <-3, -0.2, -0.0001>, <3, 0.2, 0>
         scale 1
         rotate <0, 0, 0>
         translate <0, 0, 0>
      }
      
      box {
         <-3, -0.2, -0.0001>, <3, 0.2, 0>
         scale 1
         rotate z*216
         translate <0.6, -1.725, 0>
      }
      
      box {
         <-3, -0.2, -0.0001>, <3, 0.2, 0>
         scale 1
         rotate z*72
         translate <-0.9, -0.61, 0>
      }
      
      box {
         <-3, -0.2, -0.0001>, <3, 0.2, 0>
         scale 1
         rotate z*288
         translate <0.9, -0.61, 0>
      }
      
      box {
         <-3, -0.2, -0.0001>, <3, 0.2, 0>
         scale 1
         rotate z*144
         translate <-0.6, -1.725, 0>
      }
      
      triangle {
         <-0.41236, -0.33969, 0>, <0.19644, -0.34036, 0>, <-0.108314, 0.579946, 0>
         scale 1
         rotate <0, 0, 0>
         translate <0.1083, 2.2202, -0.0001>
      }
      
      triangle {
         <-0.412357, -0.339695, 0>, <0.196438, -0.340356, 0>, <-0.105934, 0.587774, 0>
         scale 1
         rotate z*72
         translate <-2.99, 0.117, -0.0001>
      }
      
      triangle {
         <-0.412357, -0.339695, 0>, <0.196438, -0.340356, 0>, <-0.105934, 0.587774, 0>
         scale 1
         rotate <180, 0.3, 72108>
         translate <2.99, 0.117, -0.0001>
      }
      
      triangle {
         <-0.412357, -0.339695, 0>, <0.196438, -0.340356, 0>, <-0.105934, 0.587774, 0>
         scale 1
         rotate <-180, 0.3, 36.9>
         translate <1.95302, -3.46685, -0.0001>
      }
      
      triangle {
         <-0.412357, -0.339695, 0>, <0.196438, -0.340356, 0>, <-0.105934, 0.587774, 0>
         scale 1
         rotate <-180, 0.3, -37.2>
         translate <-1.78422, -3.59898, -0.0001>
      }
   }
   
   texture {
      //*PMRawBegin
      pigment {Black*2}
      //*PMRawEnd
   }
   
   finish {
      specular 0.2
   }
   scale 1
   rotate <0, 0, 0>
   translate y*5
   no_shadow
}

difference {
   //*PMName left bow
   
   cylinder {
      <0, 6, 0>, <0, -6, 0>, 200
   }
   
   cylinder {
      <0, 6.001, 0>, <0, -6.001, 0>, 198
      open
      hollow
   }
   
   texture {
      //*PMRawBegin
      Silver_Metal
      //*PMRawEnd
   }
   
   finish {
      //*PMRawBegin
      //Phong_Glossy
      //*PMRawEnd
      ambient rgb <0, 0, 0>
   }
   scale 1
   rotate <12, 0, 90>
   translate <-8, -200, 0>
   no_shadow
   no_reflection
}

difference {
   //*PMName right bow
   
   cylinder {
      <0, 6, 0>, <0, -6, 0>, 200
   }
   
   cylinder {
      <0, 6.001, 0>, <0, -6.001, 0>, 198
      open
      hollow
   }
   
   texture {
      //*PMRawBegin
      Silver_Metal
      //*PMRawEnd
   }
   
   finish {
      //*PMRawBegin
      //Phong_Glossy
      //*PMRawEnd
      ambient rgb <0, 0, 0>
   }
   scale 1
   rotate <-12, 0, 90>
   translate <8, -200, 0>
   no_shadow
   no_reflection
}

light_source {
   <0, 10, -50>, rgb <1, 1, 1>
}

camera {
   perspective
   location <0, 0, -90>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.3333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
}